--[[
Copyright (c) 2012-2013 Kaarle Ritvanen
See LICENSE file for license details
--]]

local M = {}

function M.open_file(path, mode)
   local file = io.open(path, mode)
   if not file then error('Cannot open file: '..path) end
   return file
end

function M.read_file(path)
   local file = M.open_file(path)
   local data = ''
   for line in file:lines() do data = data..line end
   file:close()
   return data
end

return M
